Skip to main content
PATCH
/
time-off
/
{uuid}
curl --request PATCH \
  --url https://api.zeeg.me/v2/time-off/{uuid} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "title": "Summer break",
  "startDate": "2026-07-02",
  "endDate": "2026-07-16"
}
'
{
  "uuid": "01907f10-5b00-7b31-9cf0-1234567890ab",
  "uri": "https://api.zeeg.me/v2/time-off/01907f10-5b00-7b31-9cf0-1234567890ab",
  "type": "vacation",
  "title": "Summer break",
  "startDate": "2026-07-02",
  "endDate": "2026-07-16",
  "startHalfDay": true,
  "endHalfDay": false,
  "startHalfDayCutoff": "13:00",
  "endHalfDayCutoff": null,
  "note": "Out at the coast"
}

Documentation Index

Fetch the complete documentation index at: https://developer.zeeg.me/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Path Parameters

uuid
string<uuid>
required

UUID of the time-off period.

Body

application/json
type
enum<string>
Available options:
vacation,
out_of_office
title
string
Maximum string length: 255
startDate
string<date>
endDate
string<date>
startHalfDay
boolean
endHalfDay
boolean
startHalfDayCutoff
string | null

Half-day cutoff (HH:MM). Required when startHalfDay is true.

endHalfDayCutoff
string | null

Half-day cutoff (HH:MM). Required when endHalfDay is true.

note
string | null
Maximum string length: 1000

Response

Updated time-off period.

uuid
string<uuid>
uri
string<uri>
type
enum<string>
Available options:
vacation,
out_of_office
title
string | null
startDate
string<date>
endDate
string<date>
startHalfDay
boolean
endHalfDay
boolean
startHalfDayCutoff
string | null
endHalfDayCutoff
string | null
note
string | null
Last modified on April 29, 2026